# sdp.h File Reference

`#include <opal/buildopts.h>`
`#include <opal/transports.h>`
`#include <opal/mediatype.h>`
`#include <opal/mediafmt.h>`
`#include <rtp/rtp.h>`

Go to the source code of this file.

## Classes

class | SDPMediaFormat
class | SDPBandwidth
class | SDPMediaDescription
class | SDPRTPAVPMediaDescription
class | SDPAudioMediaDescription
class | SDPVideoMediaDescription
class | SDPApplicationMediaDescription
class | SDPSessionDescription

## Functions

| PLIST (SDPMediaFormatList, SDPMediaFormat)
| PARRAY (SDPMediaDescriptionArray, SDPMediaDescription)

## Function Documentation

PARRAY | ( | SDPMediaDescriptionArray | ,
|  | SDPMediaDescription |  |
| ) |  |  |

PLIST | ( | SDPMediaFormatList | ,
|  | SDPMediaFormat |  |
| ) |  |  |